##########################################################################
#
#  Maple TFL
#
#	 filename: test.mpl
#  description: Stress test sequence.
#
#  [to be run independently]
#	 
##########################################################################

reset;  
read "tfl.mpl";

fa := newFA(); # empty FA, accepts every string
assert(type(fa, 'Acceptor')); 

l := newLanguage(); # undefined language, knows nothing 
assert(type(l,'Language')); 
l2 := newLanguage(fa); # language constructed from given FA
assert(type(l2,'Language')); 

assert(l:-accept("abc") = FAIL); 
assert(l2:-accept("abc")); # should have acceptor set up, so true

l:-setAcceptor( l2:-getAcceptor() ); 

assert(l:-accept("abc"));  
assert(l2:-accept("abc")); 

printf( "\n\n ALL TESTS PASSED \n\n\n" );
